# 32/64bit spec-file
#
%define	name	dosemu
%define	version 1.4.0.8
%define	dosver	1.1
%define	release %mkrel 1

#disable for plugins
%define _disable_ld_no_undefined 1

Summary:	DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-freedos-%{dosver}-bin.tgz
Source2:    source.tar.xz
Source11:	xdosemu-16x16.png
Source12:	xdosemu-32x32.png
Source13:	xdosemu-48x48.png
License:	GPLv2+
Url:		http://dosemu.sourceforge.net/
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison flex X11-devel
BuildRequires:	bdftopcf bison flex
BuildRequires: svgalib-devel 
BuildRequires: gpm-devel
BuildRequires: SDL-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libsndfile-devel
BuildRequires:	libslang-devel
BuildRequires:  x11-font-util
BuildRequires:	git


%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386 processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.

%package -n	xdosemu
Requires:	%{name} = %{version}-%{release} dosimage
Summary:	A DOS emulator for the X Window System
Group:		Emulators

%description -n xdosemu
Xdosemu is a version of the dosemu DOS emulator that runs with the X
Window System.  Xdosemu provides VGA graphics and mouse support.

Install xdosemu if you need to run DOS programs on your system, and you'd
like to do so with the convenience of graphics support and mouse
capabilities.

%package	freedos
Summary:	A FreeDOS hdimage for dosemu, a DOS emulator, to use
Group:		Emulators
Provides:	dosimage

%description freedos
Generally, the dosemu DOS emulator requires either that your system
have some version of DOS available or that your system's partitions
were formatted and installed with DOS. If your system does not meet
either of the previous requirements, you can instead use the dosemu-
freedos package, which contains required files which will be
installed in '/usr/share/dosemu/freedos-%{dosver}'

Install dosemu-freedos if you are installing the dosemu package
and you don't have a version of DOS available on your system,
and your system's partitions were not formatted and installed
with DOS.

%prep
%setup -q 

unxz -c %SOURCE2 | tar xf - -C src/base/init
bunzip2 -c %{SOURCE1} | gzip -c > freedos.tgz

%build
%configure2_5x	--with-fdtarball=freedos.tgz \
		--with-svgalib \
		--with-x 
                
%make

%install
rm -rf %{buildroot}
%makeinstall_std -i

#remove
rm -f %{buildroot}/%{_datadir}/dosemu/commands
rm -f %{buildroot}/%{_datadir}/dosemu/freedos
rm -rf %{buildroot}/etc/drives

cp -r %{buildroot}/%{_datadir}/dosemu/drive_z \
%{buildroot}/%{_datadir}/dosemu/freedos-%{dosver}

#icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m644 %{SOURCE11} -D \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/x%{name}.png
install -m644 %{SOURCE12} -D \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/x%{name}.png
install -m644 %{SOURCE13} -D \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/x%{name}.png

#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xdosemu.desktop <<EOF
[Desktop Entry]
Name=Xdosemu
Comment=DOS emulator running under X
Exec=%{_bindir}/x%{name}
Icon=x%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

rm -rf %{buildroot}%{_docdir}
 

%clean
rm -rf %{buildroot}

%post
# create new symlinks
mkdir -p /etc/dosemu/drives
ln -s %{_datadir}/dosemu/drive_z /etc/dosemu/drives/c
ln -s %{_datadir}/dosemu/drive_z /etc/dosemu/drives/d
ln -s %{_datadir}/dosemu/drive_z %{_datadir}/dosemu/commands

%postun
rm -f /usr/share/dosemu/commands
rm -rf /etc/dosemu

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_libdir}/dosemu/libplugin*.so
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/midid.1.bz2
%lang(ru) %{_mandir}/ru/man1/mkfatimage16.1*
%lang(ru) %{_mandir}/ru/man1/dosdebug.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.bin.1*
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%config(noreplace) %{_sysconfdir}/dosemu.conf
%config(noreplace) %{_sysconfdir}/dosemu.users
%config(noreplace) %{_sysconfdir}/global.conf

%files -n xdosemu
%defattr(-,root,root,755)
%{_bindir}/xdosemu
%{_mandir}/man1/xdosemu.1*
%lang(ru) %{_mandir}/ru/man1/xdosemu.1*
%{_iconsdir}/hicolor/16x16/apps/x%{name}.png
%{_iconsdir}/hicolor/32x32/apps/x%{name}.png
%{_iconsdir}/hicolor/48x48/apps/x%{name}.png
%{_datadir}/applications/xdosemu.desktop

%files freedos
%defattr(-,root,root,755)
%{_datadir}/dosemu/freedos-%{dosver}
%{_datadir}/dosemu/drive_z



%changelog
* Wed Jan 11 2017 bb <bb> 1.4.0.8-1pclos2017
- new version

* Sun Apr 14 2013 Ken <lxgator at gmail.com> 1.4.0.6-2pclos2013
- rebuild

* Wed Feb 13 2013 Ken <lxgator at gmail.com> 1.4.0.6-1pclos2013
- update to freedos-1.1
- 1.4.0.6


